## class MouseCursor

> functions to set mouse cursor to different shapes.

### Public Fields

  static const int | WATCH cursor shapes.
  static const int | LEFT_PTR
  static const int | PLUS
  static const int | TERM
  static const int | FLEUR
  static const int | H_DOUBLE_ARROW
  static const int | V_DOUBLE_ARROW

### Public Methods

  | MouseCursor (Widget w)
  void | Set (int cursorNum) change the cursor to cursorNum (see /usr/include/X11/cursorfont.h).
  void | SetSize (int place) change the cursor to a resize cursor depending on the place.

## Documentation

> functions to set mouse cursor to different shapes.

`MouseCursor(Widget w)`

`static const int WATCH`
  cursor shapes.

`static const int LEFT_PTR`

`static const int PLUS`

`static const int TERM`

`static const int FLEUR`

`static const int H_DOUBLE_ARROW`

`static const int V_DOUBLE_ARROW`

`void Set(int cursorNum)`
  change the cursor to cursorNum (see /usr/include/X11/cursorfont.h).

`void SetSize(int place)`
  change the cursor to a resize cursor depending on the place.

This class has no child classes.

alphabetic index hierarchy of classes

this page has been generated automatically by doc++

(c)opyright by Malte Zöckler, Roland Wunderling
contact: doc++@zib.de